
/* Basic CSS stylesheet for APMS */

/* Reset to a cross-browser base situation */
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,
kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{
	margin:0;padding:0;border:0;outline:0;vertical-align: baseline;
	font-weight:inherit;font-style:inherit;font-size:100%;font-family:inherit;
}
/*:focus{outline:0;}*/ /* uncomment when focus styles are defined! */
body{line-height:1;color:black;background:white;}
ol,ul{list-style:none;}
/* tables still need 'cellspacing="0"' in the markup */
table{border-collapse:separate;border-spacing:0;}
caption,th,td{text-align:left;font-weight:normal;}
blockquote:before,blockquote:after,q:before,q:after{content:"";}
blockquote,q{quotes:"" "";}

/* Reset complete, now start the actual stylesheet */
/*
General colour scheme:
 Heading background: #F0E8FF
 Totals background:  #F0E8FF
*/

body {
  padding: 0;
  margin: 0;
  font-size: 12pt;
  font-family: Times New Roman, serif;
}


.left {
  text-align:left;
}


.center {
  text-align:center;
  white-space:nowrap;
}


.money, .right {
  text-align:right;
}

.entry, input.money, input.date {
  padding: 0;
  margin: 0 -2px;
/*  border: 1px #fffff0 dashed;
  background-color: #f0f8d0; */
  font-size: 0.9em;
  font-family: Courier New, Courier, fixed;
}
input[type="checkbox"].entry {
  margin-top:0.25em;
}

select.entry {
  font-family: Helvetica Narrow, Arial Narrow, sans-serif;
  font-size: 85%;
}

.error {
	border: 2px solid red;
}

tbody.document {
	border: 2px dotted #cccccc;
}

.rowsettop, .rowsettop td {
	height: 1.5em;
	vertical-align:bottom;
}

h1 {
  font-size: 160%;
  font-weight: bold;
  font-family: verdana, sans-serif;
  background-color: #483D8B;
  color:#FFD700;
  padding: 0 0.3em 0.1em;
  margin: 0;
  line-height: inherit;
}


h2, th.h2 {
  font-size: 130%;
  font-weight: bold;
  font-family: verdana, sans-serif;
  padding: 0 0.3em;
  margin: 1px 0 0 0;
  line-height: inherit;
}


h2 {
  text-align: left;
  background-color: #483D8B;
  color:#FFD700;
}


th.h2 {
  text-align: left;
}


p {
  padding: 0 0.3em;
  margin: 0.5em 0;
}


input {
  margin: 0;
  font-family: Courier New, monospace;
}


label, th.prompt {
  font-family: Verdana, sans-serif;
  font-weight: bolder;
  font-size: 110%;
  text-align: right;
}


img {
  border:none;
}


img.order {
  vertical-align:top;
  padding: 0.3em 0 0 0.2em ;
  margin:0;
}


a.order, a.invisilink {
  text-decoration:none;
  color: inherit;
}


.submit {
  text-decoration: none;
  font: small-caps bold 95% sans-serif;
  color: #fff;
  background-color: #483D8B;
  padding: 0px 1px 1px 1px;
  margin: 0;
  vertical-align: text-bottom;
  border: thin outset;
}


.submit:hover {
  color: #FFD700;
  border: thin inset;
}


table {
  background-color: #F0E8FF;
  border-collapse:collapse;
  margin-top:1px;
  margin-bottom:0.1em;
}


th {
  padding: 0.15em 0.3em 0;
  font-weight: bolder;
  background-color: #F0E8FF;
}


td {
  padding: 0 0.2em;
  border: thin white solid;
}


tr {
  vertical-align:top;
  border: thin white solid;
}


tr.r0 {
  background-color:#fcfff0;
}
tr.r1 {
  background-color:#faf4ff;
}
tr.r0-checked, tr.r1-checked {
  background-color:#cccfe0;
}
tr.r-alert, tr.r-alert .entry, tr.r-alert .money {
  background-color:#f89070;
}
tr.r-partial, tr.r-partial .entry, tr.r-partial .money {
  background-color:#70f890;
}
tr.r-skip, tr.r-skip .entry, tr.r-skip .money {
  background-color:#7090f8;
}
tr.r1:hover, tr.r0:hover {
  background-color:#ffffa0;
}

/* Invoices */
tr.r-inv-A {
  background-color:#d0ffdf;
}
tr.r-inv-U {
  background-color:#fff0d0;
}



/* Vouchers */
tr.r0vchrstp { background-color:white;   }
tr.r1vchrstp { background-color:#f4fafd; }

tr.r0vchrstu { background-color:#f8f8e0; }
tr.r1vchrstu { background-color:#f0f0d0; }

tr.r0vchrsta { background-color:#e0f8e0; }
tr.r1vchrsta { background-color:#d0f0d0; }

tr.r0vchrstc { background-color:#fdfde0;   color: #707060;   }
tr.r1vchrstc { background-color:#f4fafd;   color: #707060;   }

tr.r0vchrsth { background-color:#f0f0d0;   color: #505040;   }
tr.r1vchrsth { background-color:#e8e8d0;   color: #505040;   }

tr.r0vchrstp:hover, tr.r1vchrstp:hover, tr.r0vchrstu:hover, tr.r1vchrstu:hover,
tr.r0vchrsta:hover, tr.r1vchrsta:hover, tr.r0vchrsth:hover, tr.r1vchrsth:hover,
tr.r0vchrstc:hover, tr.r1vchrstc:hover {
  background-color:#ffffb0;
}

tr.totals {
  font-weight: bolder;
  background-color: #F0E8FF;
}

table.form_inner, table.form_inner tr, table.form_inner td, table.form_inner th {
  margin: 0;
  padding-left: 0;
  border: 0;
  border-collapse: collapse;
}

table.form_inner {
  width: 100%;
}
/* The DIV for messages to the user */


#messages {
    background-color:#800040;
    color: white;
  }


#messages ul {
    padding: 2px 12px;
    margin: 0;
  }


#messages li {
    display : list-item;
    font-size : 105%;
    font-weight : 700;
    margin-left : 4em;
    padding-bottom : 6px;
    padding-left : 0;
    padding-right : 0;
    padding-top : 6px;
    text-indent : 1em;
  }

/* Logon division when not yet logged into the system */


#logon td, #logon th, #logon table {
    background-color:inherit;
  }


#logon th {
    background-color:inherit;
    font-size: 100%;
    padding: 0.2em 0.2em 0.3em 2em;
  }


#logon input {
    border: solid black thin;
    padding: 0 0.2em;
  }


#logon input.text, #logon input.password {
    background-color:white;
  }


#logon label {
    border: solid black thin;
    padding: 0 0.2em;
    font-size: 100%;
    font-family: Courier New,monospace;
    font-weight: normal;
    background-color:white;
  }


#logon .checkbox {
    background-color: green;
    margin-bottom:0.2em;
  }

.browser table {
  width: 100%;
}

.browser td.description {
  width: 50%;
}

#content {
  position:relative;
  top:0;
  left:0;
  z-index: 0;
}

#bottom_filler {
  position:relative;
  top:0;
  left:0;
  z-index: 0;
}

#browser td.money {
  width: 6.7em;
  padding: 0;
  margin: 0;
  font-size: 10pt;
  font-family: Times New Roman, serif;
}

#pagefooter {
  display:block;
  background-color: #c7d0d9;
  border: thin outset #b0b0e0;
  z-index: 10;
  position: fixed;
  bottom: 0px;
  width: 100%;
  line-height:0.8em;
  font-size:0.7em;
  font-family: sans-serif;
}

label {
  font: inherit;
}
